package com.hzs.sale.order.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.common.domain.sale.ext.SaOrderSelfLogExt;
import com.hzs.common.domain.sale.order.SaOrder;
import com.hzs.common.domain.sale.order.SaOrderSelfLog;
import com.hzs.sale.order.param.SelfPickUpParam;

import java.util.List;

/**
 * 订单自提申请记录 服务类
 */
public interface ISaOrderSelfLogService extends IService<SaOrderSelfLog> {

    /**
     * 会员端自提，记录日志,申请记录
     */
    void applySelfPickUpSaOrder(SaOrder saOrder, SelfPickUpParam selfPickUpVO);

    /**
     * 查询自提订单
     */
    List<SaOrderSelfLogExt> querySaOrderSelfLog(SelfPickUpParam selfPickUpVO);

    /**
     * 查询自提订单
     */
    SaOrderSelfLog querySaOrderSelfLogById(Long pkId);

    /**
     * 查询自提订单
     */
    List<SaOrderSelfLogExt> queryMemberSaOrderSelfLog(SelfPickUpParam selfPickUpVO);

    /**
     * 更新自提订单状态
     */
    void updateSaOrderSelfLog(SelfPickUpParam selfPickUpVO, Long pkId);

}
